<?xml version="1.0"?>
<!DOCTYPE benchmark PUBLIC "+//IDN sosy-lab.org//DTD BenchExec benchmark 2.3//EN" "https://www.sosy-lab.org/benchexec/benchmark-2.3.dtd">
<benchmark tool="cpachecker" displayName="CPA-BAM-SMG" timelimit="15 min" hardtimelimit="16 min" memlimit="15 GB" cpuCores="4">

  <require cpuModel="Intel Xeon E3-1230 v5 @ 3.40 GHz" />

  <resultfiles>**/witness.*</resultfiles>

  <option name="-svcomp22-bam-smg"/>
  <option name="-disable-java-assertions"/>
  <option name="-heap">10000m</option>

  <option name="-setprop">counterexample.export.graphml=witness.graphml</option>
  <option name="-setprop">cpa.arg.proofWitness=witness.graphml</option>
  <option name="-setprop">termination.violation.witness=witness.graphml</option>
  <option name="-setprop">counterexample.export.compressWitness=false</option>
  <option name="-setprop">cpa.arg.compressWitness=false</option>

  <rundefinition name="SV-COMP25_unreach-call">
    <tasks name="SoftwareSystems-AWS-C-Common-ReachSafety">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-AWS-C-Common.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
    </tasks>
    <tasks name="SoftwareSystems-DeviceDriversLinux64-ReachSafety">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-DeviceDriversLinux64.set</includesfile>
      <excludesfile>../sv-benchmarks/c/SoftwareSystems-DeviceDriversLinux64Large.set</excludesfile>
      <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
    </tasks>
    <tasks name="SoftwareSystems-DeviceDriversLinux64Large-ReachSafety">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-DeviceDriversLinux64Large.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
    </tasks>
    <tasks name="SoftwareSystems-Other-ReachSafety">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-coreutils.set</includesfile>
      <includesfile>../sv-benchmarks/c/SoftwareSystems-BusyBox.set</includesfile>
      <includesfile>../sv-benchmarks/c/SoftwareSystems-OpenBSD.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
    </tasks>
    <tasks name="SoftwareSystems-uthash-ReachSafety">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-uthash.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
    </tasks>
    <tasks name="SoftwareSystems-Intel-TDX-Module-ReachSafety">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-Intel-TDX-Module.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
    </tasks>
  </rundefinition>

  <rundefinition name="SV-COMP25_valid-memcleanup">
    <tasks name="MemSafety-MemCleanup">
      <includesfile>../sv-benchmarks/c/Heap.set</includesfile>
      <includesfile>../sv-benchmarks/c/Juliet.set</includesfile>
      <includesfile>../sv-benchmarks/c/LinkedLists.set</includesfile>
      <includesfile>../sv-benchmarks/c/VerifyThis-Loops.set</includesfile>
      <includesfile>../sv-benchmarks/c/VerifyThis-Recursive.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memcleanup.prp</propertyfile>
    </tasks>
    <tasks name="SoftwareSystems-uthash-MemCleanup">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-uthash.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memcleanup.prp</propertyfile>
    </tasks>
  </rundefinition>

  <rundefinition name="SV-COMP25_valid-memsafety">
    <tasks name="MemSafety-Arrays">
      <includesfile>../sv-benchmarks/c/Arrays.set</includesfile>
      <includesfile>../sv-benchmarks/c/Heap-Termination.set</includesfile>
      <includesfile>../sv-benchmarks/c/VerifyThis-Loops.set</includesfile>
      <includesfile>../sv-benchmarks/c/VerifyThis-Recursive.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
    <tasks name="MemSafety-Heap">
      <includesfile>../sv-benchmarks/c/Heap.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
    <tasks name="MemSafety-LinkedLists">
      <includesfile>../sv-benchmarks/c/LinkedLists.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
    <tasks name="MemSafety-Other">
      <includesfile>../sv-benchmarks/c/Loops.set</includesfile>
      <includesfile>../sv-benchmarks/c/ControlFlow.set</includesfile>
      <includesfile>../sv-benchmarks/c/ControlFlow-Termination.set</includesfile>
      <includesfile>../sv-benchmarks/c/Recursive.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
    <tasks name="MemSafety-Juliet">
      <includesfile>../sv-benchmarks/c/Juliet.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>

    <tasks name="SoftwareSystems-coreutils-MemSafety">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-coreutils.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
    <tasks name="SoftwareSystems-DeviceDriversLinux64-MemSafety">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-DeviceDriversLinux64.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
    <tasks name="SoftwareSystems-Other-MemSafety">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-BusyBox.set</includesfile>
      <includesfile>../sv-benchmarks/c/SoftwareSystems-OpenBSD.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
    <tasks name="SoftwareSystems-uthash-MemSafety">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-uthash.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>

    </rundefinition>

  <rundefinition name="SV-COMP25_no-overflow">
    <tasks name="SoftwareSystems-BusyBox-NoOverflows">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-BusyBox.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/no-overflow.prp</propertyfile>
    </tasks>
    <tasks name="SoftwareSystems-coreutils-NoOverflows">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-coreutils.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/no-overflow.prp</propertyfile>
    </tasks>
    <tasks name="SoftwareSystems-uthash-NoOverflows">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-uthash.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/no-overflow.prp</propertyfile>
    </tasks>

    </rundefinition>

  <rundefinition name="SV-COMP25_termination">
    <tasks name="SoftwareSystems-DeviceDriversLinux64-Termination">
      <includesfile>../sv-benchmarks/c/SoftwareSystems-DeviceDriversLinux64.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/termination.prp</propertyfile>
    </tasks>
  </rundefinition>
</benchmark>